org.apache.maven.shared.io.location

## Class Locator

- java.lang.Object
- - org.apache.maven.shared.io.location.Locator

    public final class Locator
    extends Object

The Locator.

### Constructor Summary

Constructors
Constructor and Description
`Locator()` Create instance.
`Locator(List<LocatorStrategy> strategies, MessageHolder messageHolder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStrategy(LocatorStrategy strategy)`
`MessageHolder` `getMessageHolder()`
`List<LocatorStrategy>` `getStrategies()`
`void` `removeStrategy(LocatorStrategy strategy)`
`Location` `resolve(String locationSpecification)`
`void` `setStrategies(List<LocatorStrategy> strategies)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Locator

    public Locator(List<LocatorStrategy> strategies,
                   MessageHolder messageHolder)

Parameters:
  `strategies` - List of strategies.
  `messageHolder` - `MessageHolder`

#### Locator

    public Locator()

Create instance.

### Method Detail

#### getMessageHolder

    public MessageHolder getMessageHolder()

Returns:
  `MessageHolder`

#### addStrategy

    public void addStrategy(LocatorStrategy strategy)

Parameters:
  `strategy` - The strategy to be added.

#### removeStrategy

    public void removeStrategy(LocatorStrategy strategy)

Parameters:
  `strategy` - the strategy to remove.

#### setStrategies

    public void setStrategies(List<LocatorStrategy> strategies)

Parameters:
  `strategies` - the strategies to be set.

#### getStrategies

    public List<LocatorStrategy> getStrategies()

Returns:
  list of strategies.

#### resolve

    public Location resolve(String locationSpecification)

Parameters:
  `locationSpecification` - location spec.
Returns:
  `Location`